Location-based
Carbon intensity
Returns the carbon intensity of the current hour at the given coordinates in grams of CO2 equivalent per kWh (gCO2eq/kWh).
query Parameters
latLatitude in decimal degrees (WGS84).
lonLongitude in decimal degrees (WGS84).
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Carbon intensity › Responses
Carbon intensity for the given coordinates.
timestampStart of the hour this value applies to (UTC).
carbon_intensityCarbon intensity in grams of CO2 equivalent per kWh (gCO2eq/kWh).
Carbon intensity forecast
Returns the forecast carbon intensity for the next 24 hours at the given coordinates as hourly values in grams of CO2 equivalent per kWh (gCO2eq/kWh).
query Parameters
latLatitude in decimal degrees (WGS84).
lonLongitude in decimal degrees (WGS84).
hoursNumber of hours to forecast ahead, from 1 to 24. Defaults to 24.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Carbon intensity forecast › Responses
Hourly carbon intensity forecast for the given coordinates.
Hourly forecast points, ordered from the current hour forwards.
Electricity mix
Returns the composition of electricity at the current hour for the given coordinates. Split into the percentages of each source.
query Parameters
latLatitude in decimal degrees (WGS84).
lonLongitude in decimal degrees (WGS84).
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Electricity mix › Responses
Electricity mix for the given coordinates.
timestampStart of the hour this value applies to (UTC).
Share of electricity by source, as a percentage. Values sum to 100. Any sources with 0 are omitted.
Electricity mix forecast
Returns the forecast electricity mix for the next 24 hours at the given coordinates as hourly percentages of each source.
query Parameters
latLatitude in decimal degrees (WGS84).
lonLongitude in decimal degrees (WGS84).
hoursNumber of hours to forecast ahead, from 1 to 24. Defaults to 24.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Electricity mix forecast › Responses
Hourly electricity mix forecast for the given coordinates.
Hourly forecast points, ordered from the current hour forwards.